com.atid.lib.atx88

## Class ATn88Reader

- java.lang.Object
- - com.atid.lib.reader.ATEAReader
  - - com.atid.lib.atx88.ATx88Reader
    - - com.atid.lib.atx88.ATn88Reader

- All Implemented Interfaces:
    com.atid.lib.atx88.device.ATDeviceATx88.IDeviceEventListener, com.atid.lib.device.IReader, ATransport.IConnectStateEventListener
  Direct Known Subclasses:
    AT188Reader, AT388Reader

      public abstract class ATn88Reader
      extends ATx88Reader

  The ATn88Reader class implements the common functions of AT188N Device and AT388 Device.

- - ### Field Summary

    - ### Fields inherited from class com.atid.lib.reader.ATEAReader

      `DEFALT_BATTERY_CHECK_INTERVAL, INFO, mAction, mBarcode, mCheckBatteryInterval, mDevice, mDeviceVersion, mFailCount, mIsDisconnecting, mIsForceBatteryGauging, mLastError, mLastTime, mRfidHf, mRfidUhf, mTransport, RETRY_COUNT, TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ATn88Reader(ATransport transport)` Create an instance of the ATn88Reader class.
    `ATn88Reader(int sessionId, ATransport transport)` Create an instance of the ATn88Reader class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NotifyMethod` | `getAlertNotify()` Returns the alert Notify method of the instrument.
    `NotifyMethod` | `getButtonNotify()` Returns the button Notify method of the equipment.
    `NotifyTimeType` | `getButtonNotifyTime()` Returns the button's Notify hold time.
    `void` | `setAlertNotify(NotifyMethod method)` Set the alert notify method for the device.
    `void` | `setButtonNotify(NotifyMethod method)` Set the button Notify method of the device.
    `void` | `setButtonNotifyTime(NotifyTimeType time)` Set the button's Notify hold time.

    - ### Methods inherited from class com.atid.lib.atx88.ATx88Reader

      `assertAction, defaultParameter, destroy, getAutoOffTime, getAutoSaveMode, getBatteryState, getBuzzer, getDisplayOffTime, getOperationMode, getSerialNo, getStoredTagCount, getTime, getUseActionKey, initReader, loadStoredData, onActionChanged, onBatteryState, onEvent, onKeyEvent, onNotificationState, onOperationModeChanged, onStateChanged, onUsbChargerChanged, removeAllStoreadData, reset, saveStoredData, setAutoOffTime, setAutoSaveMode, setBuzzer, setDisplayOffTime, setOperationMode, setSerialNo, setTime, setUsbChargingPhone, setUseActionKey, sleep, sleep, wakeUp, wakeUp`

    - ### Methods inherited from class com.atid.lib.reader.ATEAReader

      `addListener, checkError, clearListener, connect, disconnect, getAction, getAddress, getAutoConnect, getBackupState, getBarcode, getCheckInterval, getConnectType, getDeviceAttached, getDeviceName, getDeviceType, getFullVersionHexa, getLastError, getProtocol, getRfidHf, getRfidUhf, getSessionId, getState, getTransport, getVersion, getVersionHexa, isEmptyRef, listen, onReaderActionChanged, onReaderBatteryState, onReaderKeyChanged, onReaderNotificationState, onReaderOperationModeChanged, onReaderStateChanged, onReaderUsbChargerChanged, removeListener, resetError, setAction, setAddress, setAutoConnect, setCheckInterval, setDeviceName, setDeviceType, setForceBatteryGauging, setLastError, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ATn88Reader

          public ATn88Reader(ATransport transport)

      Create an instance of the ATn88Reader class.
      Parameters:
        `transport` - ATn88Reader An instance of an inherited class of the ATransport class that defines how an instance is associated with a Device.

    - #### ATn88Reader

          public ATn88Reader(int sessionId,
                             ATransport transport)

      Create an instance of the ATn88Reader class.
      Parameters:
        `sessionId` - A unique ID number for identifying instances to manage multiple instances.
        `transport` - ATn88Reader An instance of an inherited class of the ATransport class that defines how an instance is associated with a Device.

  - ### Method Detail

    - #### getButtonNotifyTime

          public NotifyTimeType getButtonNotifyTime()
                                             throws ATException

      Description copied from class: `ATEAReader`
      Returns the button's Notify hold time.
      Specified by:
        `getButtonNotifyTime` in class `ATEAReader`
      Returns:
        NotifyTimeType enumeration that indicates the time that the device keeps Notify.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setButtonNotifyTime

          public void setButtonNotifyTime(NotifyTimeType time)
                                   throws ATException

      Description copied from class: `ATEAReader`
      Set the button's Notify hold time.
      Specified by:
        `setButtonNotifyTime` in class `ATEAReader`
      Parameters:
        `time` - A NotifyTimeType enumeration that specifies the duration of the button's Notify retention.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getButtonNotify

          public NotifyMethod getButtonNotify()
                                       throws ATException

      Description copied from class: `ATEAReader`
      Returns the button Notify method of the equipment. ATS100 is not supported light function. ATD100 is not supported vibration function.
      Specified by:
        `getButtonNotify` in class `ATEAReader`
      Returns:
        The NotifyMethod enumeration representing the button Notify method.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setButtonNotify

          public void setButtonNotify(NotifyMethod method)
                               throws ATException

      Description copied from class: `ATEAReader`
      Set the button Notify method of the device. ATS100 is not supported light function. ATD100 is not supported vibration function.
      Specified by:
        `setButtonNotify` in class `ATEAReader`
      Parameters:
        `method` - The NotifyMethod enumeration that specifies the button Notify method.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getAlertNotify

          public NotifyMethod getAlertNotify()
                                      throws ATException

      Description copied from class: `ATEAReader`
      Returns the alert Notify method of the instrument. ATS100 is not supported light function. ATD100 is not supported vibration function.
      Specified by:
        `getAlertNotify` in class `ATEAReader`
      Returns:
        Warning The NotifyMethod enumeration that specifies the Notify method.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setAlertNotify

          public void setAlertNotify(NotifyMethod method)
                              throws ATException

      Description copied from class: `ATEAReader`
      Set the alert notify method for the device. ATS100 is not supported light function. ATD100 is not supported vibration function.
      Specified by:
        `setAlertNotify` in class `ATEAReader`
      Parameters:
        `method` - Warning The NotifyMethod enumeration that specifies the Notify method.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.